Bug 217667 - Mailman inserts whitespace into RFC2047-encoded headers.
Mailman inserts whitespace into RFC2047-encoded headers.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 04:55 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 05:18:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-11-29 04:55:21 EST
A mail with this subject line was sent to a mailman list:

Subject:
=?UTF-8?Q?[MTD]=20NAND:=20CAF=C3=89=20NAND=20driver=20cleanup,=20fix=20ECC=20on=20reading=20empty=20flash?=


Mailman sent it out again like this:

Subject: =?UTF-8?Q?[MTD]=20NAND:=20CAF=C3=89=20NAND=20driver=20cleanup,
        =20fix=20ECC=20on=20reading=20empty=20flash?=

The first was RFC2047-compliant; the second wasn't. Mailman broke it.

I originally filed an Evolution bug (bug 217631) but upon closer inspection of
RFC2047 (and verifying that it's happening in transit through mailman) I think
it's actually mailman that's at fault.
Comment 2 Harald Hoyer 2006-11-29 05:45:11 EST
Thanks :) I was about to do the same... added my comment there..
Comment 3 David Woodhouse 2006-11-29 06:55:00 EST
Fixing the length of the encoded-word doesn't help (in this case) -- it seems to
be the comma which triggers the line-wrap.
Comment 4 Tomas Smetana 2007-08-06 05:18:33 EDT
I really don't know what to do with this one... The SF bug has no resolution
either and the discussion died. Closing with CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.